Qt 5.9 | Qt 3D | C++ Classes | PlyGeometryLoader

Qt 5.9.9 Reference Documentation

# PlyGeometryLoader Class

(Qt3DRender::PlyGeometryLoader)

- List of all members, including inherited members

## Public Types

class | Element
class | Property
enum | DataType { Int8, Uint8, Int16, Uint16, ..., TypeUnknown }
enum | ElementType { ElementVertex, ElementFace, ElementUnknown }
enum | Format { FormatAscii, FormatBinaryLittleEndian, FormatBinaryBigEndian, FormatUnknown }
enum | PropertyType { PropertyVertexIndex, PropertyX, PropertyY, PropertyZ, ..., PropertyUnknown }

## Protected Functions

bool | doLoad(QIODevice *ioDev, const QString &subMesh)

## Member Type Documentation

### enum PlyGeometryLoader::DataType

### enum PlyGeometryLoader::ElementType

### enum PlyGeometryLoader::Format

### enum PlyGeometryLoader::PropertyType

## Member Function Documentation

### `[protected]` bool PlyGeometryLoader::doLoad(QIODevice *ioDev, const QString &subMesh)